Bug 11070 - Segmentation fault when trying sync with empty note body.
: Segmentation fault when trying sync with empty note body.
Status: RESOLVED FIXED
Product: Conboy
General
: 0.6.3
: All Maemo
: High major (vote)
: ---
Assigned To: Cornelius Hald
: general
:
:
:
:
  Show dependency tree
 
Reported: 2010-08-04 17:28 UTC by Ties
Modified: 2010-10-12 18:57 UTC (History)
2 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Ties (reporter) 2010-08-04 17:28:29 UTC
SOFTWARE VERSION:
(Settings > General > About product)

Conboy versiom: 0.6.3.27

EXACT STEPS LEADING TO PROBLEM: 
(Explain in detail what you do (e.g. tap on OK) and what you see (e.g. message
Connection Failed appears))
1. Create a new note.
2. Clear note text (not title).
3. Sync with Ubuntu One.

EXPECTED OUTCOME:
Sync.
ACTUAL OUTCOME:
Segmentation fault.

REPRODUCIBILITY:
(always, less than 1/10, 5/10, 9/10)
Always.

EXTRA SOFTWARE INSTALLED:
Lots.

OTHER COMMENTS:
Thia has been reported by several forum users, not sure if it was filed here
yet.

User-Agent:       Mozilla/5.0 (X11; U; Linux armv7l; en-US; rv:1.9.2b6pre)
Gecko/20100318 Firefox/3.5 Maemo Browser 1.7.4.8 RX-51 N900
Comment 1 Cornelius Hald 2010-08-05 10:57:52 UTC
Thanks for reporting this. I´ve seen it on TMO, but I couldn´t yet file a bug
about it. So thanks for doing that.
Comment 2 Cornelius Hald 2010-08-07 18:19:55 UTC
This is now fixed in trunk. Will be in the next release.
Comment 3 Ties Koot 2010-08-08 17:04:20 UTC
That's great news!
Comment 4 Ties Koot 2010-10-11 15:29:43 UTC
Perhaps this can be marked as fixed, even though the next official release
isn't out yet?
Comment 5 Cornelius Hald 2010-10-12 18:57:10 UTC
(In reply to comment #4)
> Perhaps this can be marked as fixed, even though the next official release
> isn't out yet?

Sure, why not. That reminds me that I really should go for another release :)